# Open Intent Classification with a Label Smoothed Classifier


Code for our paper: Calibration is All You Need: Open Intent Classification with a Label Smoothed Classifier

## Objective
- We proposed a novel approach for the open-set recognition task that utilizes model calibration into the previously-proposed state-of-the-art.   

## Dataset
- In the experiment, we use three public benchmark datasets (Banking, Stackoverflow, OOS).

## Run
---
### requirement
- huggingface, torch

### Config
Set datasets and training details in `main.py`.  

### Scripts
Train models: To train models on all benchmark dataset, run:
```
bash train.sh
```

Evaluating models: Models can be evaluated with accuracy and F1 score, run:
```
bash test.sh
```

Pre-trained model: We utilized pre-trained BERT provided in Huggingface's `bert-base-uncased`. 


